ros-rolling-rosidl-generator-cpp (5.2.0-2resolute) resolute; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 24 Apr 2026 05:00:00 -0000

ros-rolling-rosidl-generator-cpp (5.1.5-2resolute) resolute; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 24 Apr 2026 05:00:00 -0000

ros-rolling-rosidl-generator-cpp (5.1.4-2resolute) resolute; urgency=high

  * Update rosidl cpp path to emit rosidl::Buffer for uint8[] type (#942 <https://github.com/ros2/rosidl/issues/942>)
  * Contributors: CY Chen

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 09 Apr 2026 05:00:00 -0000

ros-rolling-rosidl-generator-cpp (5.1.3-2resolute) resolute; urgency=high

  * Use IWYU pragma export to avoid clangd warnings for generated headers (#902 <https://github.com/ros2/rosidl//issues/902>)
  * rosidl_generator_cpp: constexpr message traits and to_tuple_ref for generated structs (#928 <https://github.com/ros2/rosidl//issues/928>)
  * Make data_type and name traits constexpr (#929 <https://github.com/ros2/rosidl//issues/929>)
  * Contributors: Adam Leeper, Michael Carlstrom, Øystein Sture

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 24 Mar 2026 05:00:00 -0000

ros-rolling-rosidl-generator-cpp (5.1.2-2resolute) resolute; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 09 Dec 2025 06:00:00 -0000

ros-rolling-rosidl-generator-cpp (5.1.1-2resolute) resolute; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 11 Nov 2025 06:00:00 -0000

ros-rolling-rosidl-generator-cpp (5.1.0-2resolute) resolute; urgency=high

  * Export typing Information (#903 <https://github.com/ros2/rosidl/issues/903>)
  * Add static_cast (#884 <https://github.com/ros2/rosidl/issues/884>)
  * Contributors: Michael Carlstrom

 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 05 Oct 2025 05:00:00 -0000

ros-rolling-rosidl-generator-cpp (5.0.1-2resolute) resolute; urgency=high

  * Uniform cmake minVersion (#849 <https://github.com/ros2/rosidl/issues/849>)
  * Contributors: mosfet80

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 29 Jul 2025 05:00:00 -0000

ros-rolling-rosidl-generator-cpp (5.0.0-2resolute) resolute; urgency=high

  * rosidl_cli: Add type description support (#857 <https://github.com/ros2/rosidl/issues/857>)
  * Add missing cstdint include (#864 <https://github.com/ros2/rosidl/issues/864>)
  * Removed deprecated methods (#863 <https://github.com/ros2/rosidl/issues/863>)
  * Contributors: Alejandro Hernández Cordero, Francisco Rossi, Øystein Sture

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 01 Jul 2025 05:00:00 -0000

ros-rolling-rosidl-generator-cpp (4.10.0-2resolute) resolute; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 24 Apr 2025 05:00:00 -0000

ros-rolling-rosidl-generator-cpp (4.9.4-2resolute) resolute; urgency=high

  * Add name and data_type traits for actions (#848 <https://github.com/ros2/rosidl/issues/848>)
  * Contributors: Nathan Wiebe Neufeldt

 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 18 Apr 2025 05:00:00 -0000

ros-rolling-rosidl-generator-cpp (4.9.3-2resolute) resolute; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 20 Dec 2024 06:00:00 -0000

ros-rolling-rosidl-generator-cpp (4.9.2-2resolute) resolute; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 25 Nov 2024 06:00:00 -0000

ros-rolling-rosidl-generator-cpp (4.9.1-2resolute) resolute; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 20 Nov 2024 06:00:00 -0000

ros-rolling-rosidl-generator-cpp (4.9.0-2resolute) resolute; urgency=high

  * Add types rosidl_pycommon (#824 <https://github.com/ros2/rosidl/issues/824>)
  * Contributors: Michael Carlstrom

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 03 Oct 2024 05:00:00 -0000

ros-rolling-rosidl-generator-cpp (4.8.1-2resolute) resolute; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 25 Jun 2024 05:00:00 -0000

ros-rolling-rosidl-generator-cpp (4.8.0-2resolute) resolute; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 17 Jun 2024 05:00:00 -0000

ros-rolling-rosidl-generator-cpp (4.7.0-2resolute) resolute; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 26 Apr 2024 05:00:00 -0000

ros-rolling-rosidl-generator-cpp (4.6.0-2resolute) resolute; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 16 Apr 2024 05:00:00 -0000

ros-rolling-rosidl-generator-cpp (4.5.2-2resolute) resolute; urgency=high

  * Set hints to find the python version we actually want. (#785 <https://github.com/ros2/rosidl/issues/785>)
  * Contributors: Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 27 Mar 2024 05:00:00 -0000

ros-rolling-rosidl-generator-cpp (4.5.1-2resolute) resolute; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 07 Feb 2024 06:00:00 -0000

ros-rolling-rosidl-generator-cpp (4.5.0-2resolute) resolute; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 26 Dec 2023 06:00:00 -0000

ros-rolling-rosidl-generator-cpp (4.4.2-2resolute) resolute; urgency=high

  * Fix constant generation for C++ floats (#772 <https://github.com/ros2/rosidl/issues/772>)
  * Contributors: Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 06 Nov 2023 06:00:00 -0000

ros-rolling-rosidl-generator-cpp (4.4.1-2resolute) resolute; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 04 Oct 2023 05:00:00 -0000

ros-rolling-rosidl-generator-cpp (4.4.0-2resolute) resolute; urgency=high

  * Add rosidl_find_package_idl helper function (#754 <https://github.com/ros2/rosidl/issues/754>)
  * Contributors: Mike Purvis

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 07 Sep 2023 05:00:00 -0000

ros-rolling-rosidl-generator-cpp (4.3.1-2resolute) resolute; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 21 Aug 2023 05:00:00 -0000

ros-rolling-rosidl-generator-cpp (4.3.0-2resolute) resolute; urgency=high

  * Fixed visibility control file added to wrong header list variable. (#755 <https://github.com/ros2/rosidl/issues/755>)
  * Contributors: Stefan Fabian

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 11 Jul 2023 05:00:00 -0000

ros-rolling-rosidl-generator-cpp (4.2.0-2resolute) resolute; urgency=high

  * Fix deprecation warnings for message constants (#750 <https://github.com/ros2/rosidl/issues/750>)
  * Generate typesupport declarations for actions, messages and services (#703 <https://github.com/ros2/rosidl/issues/703>)
  * Contributors: Emerson Knapp, Stefan Fabian

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 07 Jun 2023 05:00:00 -0000

ros-rolling-rosidl-generator-cpp (4.1.1-2resolute) resolute; urgency=high

  * Fix IWYU for clangd in C and C++ (#742 <https://github.com/ros2/rosidl/issues/742>)
  * Contributors: Alexis Paques

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 11 May 2023 05:00:00 -0000

ros-rolling-rosidl-generator-cpp (4.1.0-2resolute) resolute; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 28 Apr 2023 05:00:00 -0000

ros-rolling-rosidl-generator-cpp (4.0.0-2resolute) resolute; urgency=high

  * Type Description Codegen and Typesupport  (rep2011) (#727 <https://github.com/ros2/rosidl/issues/727>)
  * Expose type hash on typesupports (rep2011) (#729 <https://github.com/ros2/rosidl/issues/729>)
  * Type hash in interface codegen (rep2011) (#722 <https://github.com/ros2/rosidl/issues/722>)
  * Contributors: Emerson Knapp

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 11 Apr 2023 05:00:00 -0000

ros-rolling-rosidl-generator-cpp (3.4.0-2resolute) resolute; urgency=high

  * [service introspection] generate service_event messages (#700 <https://github.com/ros2/rosidl/issues/700>)
  * [rolling] Update maintainers - 2022-11-07 (#717 <https://github.com/ros2/rosidl/issues/717>)
  * Contributors: Audrow Nash, Brian

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 13 Feb 2023 06:00:00 -0000

ros-rolling-rosidl-generator-cpp (3.3.1-2resolute) resolute; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 02 Nov 2022 05:00:00 -0000

ros-rolling-rosidl-generator-cpp (3.3.0-2resolute) resolute; urgency=high

  * Move rosidl_generator_c/cpp tests to a separate package (#701 <https://github.com/ros2/rosidl/issues/701>)
  * Move rosidl_cmake Python module to a new package rosidl_pycommon (#696 <https://github.com/ros2/rosidl/issues/696>)
    Deprecate the Python module in rosidl_cmake and move the implementation to the new package rosidl_pycommon.
  * Add namespaced ALIAS target to easily consume generated libraries via add_subdirectory (#605 <https://github.com/ros2/rosidl/issues/605>)
  * Contributors: Jacob Perron, Silvio Traversaro

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 08 Sep 2022 05:00:00 -0000

ros-rolling-rosidl-generator-cpp (3.2.1-2resolute) resolute; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 21 Jun 2022 05:00:00 -0000

ros-rolling-rosidl-generator-cpp (3.2.0-2resolute) resolute; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 04 May 2022 05:00:00 -0000

ros-rolling-rosidl-generator-cpp (3.1.3-2resolute) resolute; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 08 Apr 2022 05:00:00 -0000

ros-rolling-rosidl-generator-cpp (3.1.2-2resolute) resolute; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 05 Apr 2022 05:00:00 -0000

ros-rolling-rosidl-generator-cpp (3.1.1-2resolute) resolute; urgency=high

  * Install generated headers to include/${PROJECT_NAME} (#670 <https://github.com/ros2/rosidl/issues/670>)
  * Misc cleanup in the rosidl generator extensions (#662 <https://github.com/ros2/rosidl/issues/662>)
  * Contributors: Shane Loretz

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 28 Mar 2022 05:00:00 -0000

ros-rolling-rosidl-generator-cpp (3.1.0-2resolute) resolute; urgency=high

  * Add missing build_export_depend dependency (#665 <https://github.com/ros2/rosidl/issues/665>)
  * Fix bug where rosidl_runtime_cpp wasn't depended upon (#660 <https://github.com/ros2/rosidl/issues/660>)
  * Contributors: Jorge Perez, Shane Loretz

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 01 Mar 2022 06:00:00 -0000

ros-rolling-rosidl-generator-cpp (3.0.1-2resolute) resolute; urgency=high

  * Fix include order for cpplint (#644 <https://github.com/ros2/rosidl/issues/644>)
  * Set CXX standard to 17 (#635 <https://github.com/ros2/rosidl/issues/635>)
  * Contributors: Jacob Perron, Øystein Sture

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 13 Jan 2022 06:00:00 -0000

ros-rolling-rosidl-generator-cpp (3.0.0-2resolute) resolute; urgency=high

  * Update package maintainers (#624 <https://github.com/ros2/rosidl/issues/624>)
  * Make rosidl packages use FindPython3 instead of FindPythonInterp (#612 <https://github.com/ros2/rosidl/issues/612>)
  * Contributors: Michel Hidalgo, Shane Loretz

 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 05 Nov 2021 05:00:00 -0000

ros-rolling-rosidl-generator-cpp (2.5.0-2resolute) resolute; urgency=high

  * Support flow style YAML printing (#613 <https://github.com/ros2/rosidl/issues/613>)
  * Revert "Bundle and ensure the exportation of rosidl generated targets" (#611 <https://github.com/ros2/rosidl/issues/611>)
  * Relocate to_yaml() under message namespace (#609 <https://github.com/ros2/rosidl/issues/609>)
  * Contributors: Michel Hidalgo

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 10 Aug 2021 05:00:00 -0000

ros-rolling-rosidl-generator-cpp (2.4.0-2resolute) resolute; urgency=high

  * Bundle and ensure the exportation of rosidl generated targets (#601 <https://github.com/ros2/rosidl/issues/601>)
  * Contributors: Michel Hidalgo

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 12 Jul 2021 05:00:00 -0000

ros-rolling-rosidl-generator-cpp (2.3.0-2resolute) resolute; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 11 Jun 2021 05:00:00 -0000

ros-rolling-rosidl-generator-cpp (2.2.1-2resolute) resolute; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 06 Apr 2021 05:00:00 -0000

ros-rolling-rosidl-generator-cpp (2.2.0-2resolute) resolute; urgency=high

  * Expose C++ code generation via rosidl generate CLI (#570 <https://github.com/ros2/rosidl/issues/570>)
  * Contributors: Michel Hidalgo

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 18 Mar 2021 05:00:00 -0000

ros-rolling-rosidl-generator-cpp (2.1.0-2resolute) resolute; urgency=high

  * Switch to std::allocator_traits. (#564 <https://github.com/ros2/rosidl/issues/564>)
  * Contributors: Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 09 Mar 2021 06:00:00 -0000

ros-rolling-rosidl-generator-cpp (2.0.3-2resolute) resolute; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 25 Jan 2021 06:00:00 -0000

ros-rolling-rosidl-generator-cpp (2.0.2-2resolute) resolute; urgency=high

  * Remove unnecessary assert on pointer created with new (#555 <https://github.com/ros2/rosidl/issues/555>)
  * Use ASSERT_TRUE to check for nullptr. (#543 <https://github.com/ros2/rosidl/issues/543>)
  * Update the maintainers of this repository. (#536 <https://github.com/ros2/rosidl/issues/536>)
  * Contributors: Chris Lalancette, Stephen Brawner

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 08 Dec 2020 06:00:00 -0000

ros-rolling-rosidl-generator-cpp (2.0.1-2resolute) resolute; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 28 Sep 2020 05:00:00 -0000

ros-rolling-rosidl-generator-cpp (2.0.0-2resolute) resolute; urgency=high

  * Add to_yaml() function for C++ messages (#527 <https://github.com/ros2/rosidl/issues/527>)
  * Contributors: Devin Bonnie, Dirk Thomas

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 24 Sep 2020 05:00:00 -0000

ros-rolling-rosidl-generator-cpp (1.1.0-2resolute) resolute; urgency=high

  * Add function for getting a types fully qualified name (#514 <https://github.com/ros2/rosidl/issues/514>)
  * Declaring is_message in namespace rosidl_generator_traits (#512 <https://github.com/ros2/rosidl/issues/512>)
  * Contributors: Jacob Perron, Sebastian Höffner

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 17 Aug 2020 05:00:00 -0000

ros-rolling-rosidl-generator-cpp (1.0.1-2resolute) resolute; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 03 Jun 2020 05:00:00 -0000

ros-rolling-rosidl-generator-cpp (1.0.0-2resolute) resolute; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 22 May 2020 05:00:00 -0000

ros-rolling-rosidl-generator-cpp (0.9.2-2resolute) resolute; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 19 May 2020 05:00:00 -0000

ros-rolling-rosidl-generator-cpp (0.9.1-2resolute) resolute; urgency=high

  * move test which only uses rosidl_runtime_cpp into that package (#481 <https://github.com/ros2/rosidl/issues/481>)
  * Contributors: Dirk Thomas

 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 08 May 2020 05:00:00 -0000

ros-rolling-rosidl-generator-cpp (0.9.0-2resolute) resolute; urgency=high

  * Export targets in addition to include directories / libraries (#473 <https://github.com/ros2/rosidl/issues/473>)
  * Move non-entry point headers into detail subdirectory (#461 <https://github.com/ros2/rosidl/issues/461>)
  * Only export ament_cmake_core instead of ament_cmake (#459 <https://github.com/ros2/rosidl/issues/459>)
  * Rename rosidl_namespace_cpp namespace (#456 <https://github.com/ros2/rosidl/issues/456>)
  * Split rosidl_generator_c and rosidl_generator_cpp in two: rosidl_generator_x and rosidl_runtime_x (#442 <https://github.com/ros2/rosidl/issues/442>)
  * Add a utility for rigorously initializing a message instance (#448 <https://github.com/ros2/rosidl/issues/448>)
  * Avoid setter for empty struct dummy member (#455 <https://github.com/ros2/rosidl/issues/455>)
  * Code style only: wrap after open parenthesis if not in one line (#435 <https://github.com/ros2/rosidl/issues/435>)
  * Use f-string (#436 <https://github.com/ros2/rosidl/issues/436>)
  * Contributors: Alejandro Hernández Cordero, Dirk Thomas, Grey

 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 24 Apr 2020 05:00:00 -0000

ros-rolling-rosidl-generator-cpp (0.8.2-2resolute) resolute; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 17 Jan 2020 06:00:00 -0000

ros-rolling-rosidl-generator-cpp (0.8.1-2resolute) resolute; urgency=high

  * Add is_message trait in support of tf2 conversions (#412 <https://github.com/ros2/rosidl/issues/412>)
  * Contributors: Michael Carroll

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 23 Oct 2019 05:00:00 -0000

ros-rolling-rosidl-generator-cpp (0.8.0-2resolute) resolute; urgency=high

  * Update guard against common Windows preprocessor definitions (#401 <https://github.com/ros2/rosidl/issues/401>)
  * Update tests for new message types in test_interface_files (#397 <https://github.com/ros2/rosidl/issues/397>)
  * use latin-1 encoding when reading/writing .idl files, prepend BOM to generated C/C++ files when necessary (#391 <https://github.com/ros2/rosidl/issues/391>)
  * Add emplace_back, move_assignment to BoundedVector (#385 <https://github.com/ros2/rosidl/issues/385>)
  * fix cpp generator and introspection ts for long double (#383 <https://github.com/ros2/rosidl/issues/383>)
  * Contributors: Dirk Thomas, Jacob Perron, Siddharth Kucheria, cho3

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 24 Sep 2019 05:00:00 -0000


